Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.util
Class DoublyIndexedTable

    java.lang.Object
      org.apache.batik.dom.util.DoublyIndexedTable

public class DoublyIndexedTable
extends java.lang.Object

This class represents a doubly indexed hash table.

Nested Class Summary
`protected static class` | `DoublyIndexedTable.Entry` To manage collisions

Field Summary
`protected int` | `count` The number of entries
`protected static int` | `INITIAL_CAPACITY` The initial capacity
`protected DoublyIndexedTable.Entry[]` | `table` The underlying array

Constructor Summary
`DoublyIndexedTable()` Creates a new DoublyIndexedTable.
`DoublyIndexedTable(int c)` Creates a new DoublyIndexedTable.

Method Summary
`java.lang.Object` | `get(java.lang.Object o1, java.lang.Object o2)` Gets the value of an entry
`protected int` | `hashCode(java.lang.Object o1, java.lang.Object o2)` Computes a hash code corresponding to the given objects.
`java.lang.Object` | `put(java.lang.Object o1, java.lang.Object o2, java.lang.Object value)` Puts a value in the table.
`protected void` | `rehash()` Rehash the table
`int` | `size()` Returns the size of this table.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INITIAL_CAPACITY

    protected static final int INITIAL_CAPACITY

  The initial capacity

  See Also:
    Constant Field Values

### table

    protected DoublyIndexedTable.Entry[] table

  The underlying array

### count

    protected int count

  The number of entries

Constructor Detail

### DoublyIndexedTable

    public DoublyIndexedTable()

  Creates a new DoublyIndexedTable.

### DoublyIndexedTable

    public DoublyIndexedTable(int c)

  Creates a new DoublyIndexedTable.

Parameters:
  `c` - The inital capacity.

Method Detail

### size

    public int size()

  Returns the size of this table.

### put

    public java.lang.Object put(java.lang.Object o1,
                                java.lang.Object o2,
                                java.lang.Object value)

  Puts a value in the table.

  Returns:
    the old value or null

### get

    public java.lang.Object get(java.lang.Object o1,
                                java.lang.Object o2)

  Gets the value of an entry

  Returns:
    the value or null

### rehash

    protected void rehash()

  Rehash the table

### hashCode

    protected int hashCode(java.lang.Object o1,
                           java.lang.Object o2)

  Computes a hash code corresponding to the given objects.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.